Consumer credit bureau report.
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/verification/api/credit_bureau_consumer/" \ -H "Content-Type: application/json" \ -d '{ "mode": "e.g. ID", "number": "e.g. 0000000", "crb_provider": "e.g. first-central" }'{ "data": [ { "Scoring": [ { "ScoreDate": "07/01/2004", "ConsumerID": "600903", "Description": "LOW RISK", "NoOfAcctScore": "11/55", "TotalConsumerScore": "806", "TypesOfCreditScore": "55/55", "TotalAmountOwedScore": "165/165", "RepaymentHistoryScore": "192/192", "LengthOfCreditHistoryScore": "83/83" } ] } ], "status": true, "response_code": "00", "message": "string", "billing_info": { "was_charged": true, "amount": "string", "currency": "string" }}Response Codes & Statuses: Prembly API responses include custom
response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).Prembly Slack Community
Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.
Join Slack Channel